package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 模型库
type HubMesh struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Thumbnail  string             `bson:"thumbnail,omitempty" json:"thumbnail"`
	Host       string             `bson:"host,omitempty" json:"host"`
	DbId       string             `bson:"dbid,omitempty" json:"dbid"`
	DbName     string             `bson:"dbName,omitempty" json:"dbName"`
	DefineId   string             `bson:"defineId,omitempty" json:"defineId"`
	Collection string             `bson:"collection,omitempty" json:"collection"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
}
